<?php
/**
 * Styling tab.
 *
 * @package Purple
 */

$menus['styling'] = array(
	'icon'  => 'fa-adjust',
	'title' => esc_html__( 'Styling', 'purple' ),
	'desc'  => esc_html__( 'Control the visual appearance of your theme, such as colors, layout and patterns, from here.', 'purple' ),
);

$sections['styling'] = array(

	array(
		'id'       => 'mts_color_scheme',
		'type'     => 'color',
		'title'    => esc_html__( 'Color Scheme', 'purple' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'purple' ),
		'std'      => '#6c62ff',
	),

	array(
		'id'       => 'mts_button_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Buttons Background', 'purple' ),
		'sub_desc' => esc_html__( 'Set buttons background color, pattern and image from here.', 'purple' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#6c62ff',
			'use'           => 'gradient',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => '',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#6C62FF',
				'to'        => '#A179FF',
				'direction' => '65deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_button_hover_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Buttons Background Hover Color', 'purple' ),
		'sub_desc' => esc_html__( 'Select buttons background hover color from here.', 'purple' ),
		'std'      => '#A179FF',
	),

	array(
		'id'       => 'mts_layout',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Layout Style', 'purple' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>default sidebar position</strong> for your site. The position of the sidebar for individual posts can be set in the post editor.', 'purple' ), array( 'strong' => array() ) ),
		'options'  => array(
			'cslayout' => array( 'img' => $uri . 'layouts/cs.png' ),
			'sclayout' => array( 'img' => $uri . 'layouts/sc.png' ),
		),
		'std'      => 'cslayout',
	),

	array(
		'id'       => 'mts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Site Background', 'purple' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'purple' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#fefefe',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_lightbox',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Lightbox', 'purple' ),
		'options'  => array(
			'0' => esc_html__( 'Off', 'purple' ),
			'1' => esc_html__( 'On', 'purple' ),
		),
		'sub_desc' => esc_html__( 'A lightbox is a stylized pop-up that allows your visitors to view larger versions of images without leaving the current page. You can enable or disable the lightbox here.', 'purple' ),
		'std'      => '0',
	),

);
