<?php
/**
 * Header Layout
 *
 * @package Purple
 */

?>

<header id="site-header" class="main-header <?php echo esc_attr( purple_get_settings( 'mts_header_style' ) ); ?>" role="banner" itemscope itemtype="http://schema.org/WPHeader">

	<?php if ( purple_get_settings( 'mts_sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
	<div id="header" class="sticky-navigation">
	<?php } else { ?>
	<div id="header">
	<?php } ?>
		<div class="container">

			<div class="logo-wrap">
				<?php purple_logo(); ?>
			</div>

			<?php
			// Header Search.
			if ( purple_get_settings( 'header_search_box' ) ) {
				$ajax_search = ! empty( purple_get_settings( 'mts_ajax_search' ) ) ? ' autocomplete="off"' : '';
				?>
				<div class="header-search">
					<form method="get" id="searchform" class="searchbox search-form" action="<?php echo esc_attr( home_url() ); ?>" _lpchecked="1">
						<input type="text" name="s" id="s" class="searchbox-input" value="<?php the_search_query(); ?>" placeholder="<?php esc_html_e( 'Search...', 'purple' ); ?>" <?php echo $ajax_search; ?> />
						<span class="searchbox-icon sbutton"><i class="fa fa-search"></i></span>
					</form>
				</div>
				<?php
			}
			?>

			<div id="secondary-navigation" class="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
				<a href="#" id="pull" class="toggle-mobile-menu"><span><?php esc_html_e( 'Menu', 'purple' ); ?></span></a>
				<?php if ( has_nav_menu( 'mobile' ) ) { ?>

					<nav class="navigation clearfix">
						<?php
						// Secondary Navigation.
						if ( has_nav_menu( 'secondary-menu' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'secondary-menu',
								'menu_class'     => 'menu clearfix',
								'container'      => '',
								'walker'         => new purple_menu_walker(),
							));
						}
						?>
					</nav>
					<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
						<?php
						// Mobile Navigation.
						if ( has_nav_menu( 'mobile' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'mobile',
								'menu_class'     => 'menu clearfix',
								'container'      => '',
								'walker'         => new purple_menu_walker(),
							));
						}
						?>
					</nav>

				<?php } else { ?>

					<nav class="navigation clearfix mobile-menu-wrapper">
						<?php
						// Secondary Navigation.
						if ( has_nav_menu( 'secondary-menu' ) ) {
							wp_nav_menu( array(
								'theme_location' => 'secondary-menu',
								'menu_class'     => 'menu clearfix',
								'container'      => '',
								'walker'         => new purple_menu_walker(),
							));
						}
						?>
					</nav>

				<?php } ?>
			</div>


		</div><!--.container-->

	</div>
</header>
<?php
if ( is_front_page() && ! is_paged() ) {
	get_template_part( 'template-parts/header/header', 'featured-section' );
}
if ( is_home() ) {
	get_template_part( 'template-parts/header/header', 'nav-adcode' );
	get_template_part( 'template-parts/header/header', 'adcode' );
}
?>
